mfelker
Expert
Expert

Install WS 11.1.2 on Ubuntu 15.10 host?

Has anybody installed WS 11 on Ubuntu 15.10 Wily beta host?

Ubuntu 15.10 uses kernel 4.1.x compiled with gcc 5.2.x

Have these installation problems been fixed?  If VMware does not fix these problems what will happen in October when Ubuntu 15.10 final is released?  Will Ubuntu be supported as a host?  Can't see how that would be possible.  Perhpas VMware should sub-contract development of WS on Linux (only joking)

BTW for an Ubuntu 15.10 guest installation of of VMware-Tools successfully installs.  open-vm-tools does not (error compiling open-vm-tools-dkms). A bug was confirmed on Lauchpad.

0 Kudos
2 Replies
chickgreen
Enthusiast
Enthusiast

You can access the gcc-4.9 compiler in Ubuntu 15.10 as it is currently released, be configuring update-alternatives:  After doing this, I was able to compile and run the VMPlayer 12 modules, and I assume that the VMware 11 modules will compile as well.  I am running 15.10 daily-build, and it has both gcc-5 and gcc-4.9 installed.

sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.9 60 --slave /usr/bin/g++ g++ /usr/bin/g++-4.9

sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-5 60 --slave /usr/bin/g++ g++ /usr/bin/g++-5

sudo update-alternatives --config gcc

0 Kudos
mfelker
Expert
Expert

Thank you chickgreen.  I will copy and paste your solution to a text file.  I'm looking to install Ubuntu 15.10 dual booting with Windows 10 (my current OS) when it is GA in October.  I certainlnly hope it make work since I want to be able to develop VMs in obth environments anduse the ntfs-3g driver to copy them back and forth - as well as other collabrative stuff as well.  I could not find how to use both gcc 4.9 and 5.2 on the same machine.  Once com;iled I shoujld be able to revert to 5.2 I expect - until another kernel change.  One thing though - you mention Player 12 - is that available only with WS 12 Pro?  Don't want to up[grade WS anymore.

0 Kudos